tt_session_types_load(library call)

NAME
tt_session_types_load — merge a compiled ToolTalk types file into the running ttsession

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_session_types_load(
const char *session,
const char *filename);

DESCRIPTION

The tt_session_types_load function merges a compiled ToolTalk types file into the running ttsession(1).

The session argument is the name of the running session. The filename argument is the name of the compiled ToolTalk types file.

RETURN VALUE

Upon successful completion, the tt_session_types_load function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_SESSION
    The specified ToolTalk session is out of date or invalid.

TT_ERR_FILE
    The specified file does not exist or it is inaccessible.

TT_ERR_UNIMP
    The ToolTalk function called is not implemented.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), ttsession(1).